package com.memorynotfound.cdi;

import javax.inject.Inject;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

import static com.memorynotfound.cdi.Sports.*;

@WebServlet(urlPatterns = {"/sport"})
public class SportServlet extends HttpServlet {

    @Inject
    @Sport(HOCKEY)
    private SportService hockeyService;

    @Inject
    @Sport(FOOTBALL)
    private SportService footballService;

    public void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        resp.setContentType("text/html");
        PrintWriter out = resp.getWriter();

        out.println("<h1>Java EE: Context Dependency Injection @qualifier annotation</h1>");
        out.print("<p>" + hockeyService.play() + "</p>");
        out.print("<p>" + footballService.play() + "</p>");
    }

}
